Subject: Re: [PATCH net-next 1/2] net: phy: aquantia: add rate_adaptation indication

From: Andrew Lunn <[email-masked]>
Date: Wed, 29 Jan 2020 14:44:47 +0100

> I know it is set because someone does put some work in designing a system,
> in provisioning a correct firmware image.

Hi Madalin

That is one of the things i don't like about the aquantia PHY. It can
have all sorts of magic in its firmware, but the firmware is specific
to the board. Is this phydev->rate_adaptation going to be correct for
any other board using an Aquantia PHY?

I think at least you need to poke around in the Aquantia PHY registers
and ensure this feature is actually enabled before setting this bit to
true.

	Andrew